Bug 996040 - Dist-gep-rep: if the config state_file is given without absolute path, it create is in "/" rather than on PWD.
Dist-gep-rep: if the config state_file is given without absolute path, it cr...
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication (Show other bugs)
2.1
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
storage-qa-internal@redhat.com
config
:
Depends On:
Blocks: 1285204
  Show dependency treegraph
 
Reported: 2013-08-12 05:40 EDT by Vijaykumar Koppad
Modified: 2015-11-25 03:50 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1285204 (view as bug list)
Environment:
Last Closed: 2015-11-25 03:49:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2013-08-12 05:40:38 EDT
Description of problem: The geo-rep  state_file is set using  geo-rep config command without giving absolute path of the file, ( eg gluster v geo <master> <slave-url> config state_file state-file), it creates file in "/" rather than in PWD. 


Version-Release number of selected component (if applicable):glusterfs-3.4.0.18rhs-1.el6rhs.x86_64


How reproducible:Happens everytime 


Steps to Reproduce:
1.create a geo-rep relationship between master and slave.
2.Set the geo-rep state_file using geo-rep config as "gluster v geo <master> <slave-url> config state_file state-file"
3.start the geo-rep session 

Actual results: geo-rep create state_file in "/"


Expected results: It should actually create state_file in PWD.


Additional info:
Comment 3 Aravinda VK 2014-12-24 02:19:55 EST
Solution is to confine state_file to glusterd's working directory.
Comment 4 Aravinda VK 2015-11-25 03:49:12 EST
Closing this bug since RHGS 2.1 release reached EOL. Required bugs are cloned to RHGS 3.1. Please re-open this issue if found again.
Comment 5 Aravinda VK 2015-11-25 03:50:59 EST
Closing this bug since RHGS 2.1 release reached EOL. Required bugs are cloned to RHGS 3.1. Please re-open this issue if found again.

Note You need to log in before you can comment on or make changes to this bug.